package com.tzld.longarticle.recommend.server.web.video;

import com.tzld.longarticle.recommend.server.common.response.CommonResponse;
import com.tzld.longarticle.recommend.server.model.param.ChooseMinigramParam;
import com.tzld.longarticle.recommend.server.model.param.GetOffVideosParam;
import com.tzld.longarticle.recommend.server.model.param.RecallVideosParam;
import com.tzld.longarticle.recommend.server.model.param.SearchVideoParam;
import com.tzld.longarticle.recommend.server.service.video.MatchVideoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.io.UnsupportedEncodingException;

@RestController
@RequestMapping("/matchVideo")
public class MatchVideoController {

    @Autowired
    private MatchVideoService matchVideoService;

    @PostMapping("/searchVideos")
    public String searchVideo(@RequestBody SearchVideoParam searchVideoParam) {
        return matchVideoService.searchVideo(searchVideoParam);
    }

    @PostMapping("/chooseMinigram")
    public String chooseMinigram(@RequestBody ChooseMinigramParam chooseMinigramParam) {
        return matchVideoService.chooseMinigram(chooseMinigramParam);
    }

    @PostMapping("/getOffVideos")
    public String getOffVideos(@RequestBody GetOffVideosParam getOffVideosParam) {
        return matchVideoService.getOffVideos(getOffVideosParam);
    }

    @PostMapping("/recallideos")
    public String recallVideos(@RequestBody RecallVideosParam recallVideosParam) throws UnsupportedEncodingException {
        return matchVideoService.recallVideos(recallVideosParam);
    }



}
